package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.audit.entity.IntTmpAccountList;
import org.springblade.audit.mapper.IntTmpAccountListMapper;
import org.springblade.audit.service.IIntTmpAccountListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2022-02-08
 */
@Service
@DS("oracle143")
public class IntTmpAccountListServiceImpl extends ServiceImpl<IntTmpAccountListMapper, IntTmpAccountList> implements IIntTmpAccountListService {

	@Autowired
	private IntTmpAccountListMapper intTmpAccountListMapper;

	@Override
	public void removePhoneIsBad(String theMonth) {
		intTmpAccountListMapper.removePhoneIsBad(theMonth);
	}

	@Override
	public void callThisMonth(String theMonth) {
		intTmpAccountListMapper.callThisMonth(theMonth);
	}

	@Override
	public void saveToIntAccount(String theMonth) {
		intTmpAccountListMapper.saveToIntAccount(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		intTmpAccountListMapper.settingFileTag(theMonth);
	}

	@Override
	public void removeTemporaryData(String theMonth) {
		intTmpAccountListMapper.removeTemporaryData(theMonth);
	}
}
